#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           akonadi-notes
Version: 20.12.0
Release:        %mkrel %{rel}
Summary:        Akonadi Notes Integration
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5Akonadi) >= 5.3.1

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Solid)

BuildRequires:  boost-devel

%description
Akonadi Notes Integration.

#------------------------------------------------------------------------------

%package -n %name-common
Summary:        Common files for %name
Group:          System/Libraries

%description -n %name-common
Common files for %name.

%files -n %name-common -f %name.lang

#------------------------------------------------------------------------------

%define kf5akonadinotes_major 5
%define libkf5akonadinotes %mklibname kf5akonadinotes %{kf5akonadinotes_major}

%package -n %{libkf5akonadinotes}
Summary:      Akonadi Notes Integration main library
Group:        System/Libraries
Requires:     %name-common >= %version-%release

%description -n %{libkf5akonadinotes}
Akonadi Notes Integration main library.

%files -n %{libkf5akonadinotes}
%_kf5_libdir/libKF5AkonadiNotes.so.%{kf5akonadinotes_major}{,.*}

#--------------------------------------------------------------------

%define kf5akonadinotes_devel %mklibname kf5akonadinotes -d

%package -n %{kf5akonadinotes_devel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkf5akonadinotes} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{kf5akonadinotes_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{kf5akonadinotes_devel}
%_kf5_includedir/Akonadi/Notes/
%_kf5_includedir/akonadi/notes/
%_kf5_includedir/*_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5AkonadiNotes/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655521
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643907
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633712
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1626965
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614829
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604029
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596760
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584412
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568043
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559233
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540291
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513203
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466848
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457807
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446314
- New version 19.08.1

* Tue Jul 30 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425533
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390356
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387560
- New version 19.03.90

* Fri Mar 29 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1381218
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375432
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365475
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356410
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339424
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332655
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327308
- New version 18.08.2

* Fri Sep 21 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1294245
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1228861
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201805
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194829
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186365
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1142946
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136647
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1133531
- Fix for new find_lang
+ neoclust <neoclust>
- Add conflicts to ease upgrade

* Mon Jul 24 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1130219
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089984
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076719
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071937
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067254
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061313
- New version 16.08.2

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1051947
- New version 16.08.1

* Wed Sep 07 2016 neoclust <neoclust> 16.08.0-2.mga6
+ Revision: 1050314
- Submit to release

* Mon Aug 22 2016 daviddavid <daviddavid> 16.08.0-1.mga6
+ Revision: 1047825
- imported package akonadi-notes

